sonar.projectKey=aegis-techno_ngx-toolkit
sonar.organization=aegis-techno
sonar.sourceEncoding=UTF-8
sonar.scm.disabled=true

sonar.modules=\
  ngx-core,\
  ngx-entity-manager,\
  ngx-local-storage,\
  ngx-model-forms,\
  ngx-resources,\
  ngx-testing-tools

sonar.testExecutionReportPaths=\
  ./coverage/ngx-core/ut_report.xml,\
  ./coverage/ngx-entity-manager/ut_report.xml,\
  ./coverage/ngx-local-storage/ut_report.xml,\
  ./coverage/ngx-model-forms/ut_report.xml,\
  ./coverage/ngx-resources/ut_report.xml,\
  ./coverage/ngx-testing-tools/ut_report.xml

ngx-core.sonar.projectBaseDir=.
ngx-core.sonar.sources=./libs/ngx-core/src
ngx-core.sonar.exclusions=**/*.spec.ts
ngx-core.sonar.tests=./libs/ngx-core/src
ngx-core.sonar.test.inclusions=**/*.spec.ts
ngx-core.sonar.typescript.tsconfigPath=./libs/ngx-core/tsconfig.json
ngx-core.sonar.javascript.lcov.reportPaths=./coverage/ngx-core/lcov.info
ngx-core.sonar.testExecutionReportPaths=./coverage/ngx-core/ut_report.xml

ngx-entity-manager.sonar.projectBaseDir=.
ngx-entity-manager.sonar.sources=./libs/ngx-entity-manager/src
ngx-entity-manager.sonar.exclusions=**/*.spec.ts
ngx-entity-manager.sonar.tests=./libs/ngx-entity-manager/src
ngx-entity-manager.sonar.test.inclusions=**/*.spec.ts
ngx-entity-manager.sonar.typescript.tsconfigPath=./libs/ngx-entity-manager/tsconfig.json
ngx-entity-manager.sonar.javascript.lcov.reportPaths=./coverage/ngx-entity-manager/lcov.info
ngx-entity-manager.sonar.testExecutionReportPaths=./coverage/ngx-entity-manager/ut_report.xml

ngx-local-storage.sonar.projectBaseDir=.
ngx-local-storage.sonar.sources=./libs/ngx-local-storage/src
ngx-local-storage.sonar.exclusions=**/*.spec.ts
ngx-local-storage.sonar.tests=./libs/ngx-local-storage/src
ngx-local-storage.sonar.test.inclusions=**/*.spec.ts
ngx-local-storage.sonar.typescript.tsconfigPath=./libs/ngx-local-storage/tsconfig.json
ngx-local-storage.sonar.javascript.lcov.reportPaths=./coverage/ngx-local-storage/lcov.info
ngx-local-storage.sonar.testExecutionReportPaths=./coverage/ngx-local-storage/ut_report.xml

ngx-model-forms.sonar.projectBaseDir=.
ngx-model-forms.sonar.sources=./libs/ngx-model-forms/src
ngx-model-forms.sonar.exclusions=**/*.spec.ts
ngx-model-forms.sonar.tests=./libs/ngx-model-forms/src
ngx-model-forms.sonar.test.inclusions=**/*.spec.ts
ngx-model-forms.sonar.typescript.tsconfigPath=./libs/ngx-model-forms/tsconfig.json
ngx-model-forms.sonar.javascript.lcov.reportPaths=./coverage/ngx-model-forms/lcov.info
ngx-model-forms.sonar.testExecutionReportPaths=./coverage/ngx-model-forms/ut_report.xml

ngx-resources.sonar.projectBaseDir=.
ngx-resources.sonar.sources=./libs/ngx-resources/src
ngx-resources.sonar.exclusions=**/*.spec.ts
ngx-resources.sonar.tests=./libs/ngx-resources/src
ngx-resources.sonar.test.inclusions=**/*.spec.ts
ngx-resources.sonar.typescript.tsconfigPath=./libs/ngx-resources/tsconfig.json
ngx-resources.sonar.javascript.lcov.reportPaths=./coverage/ngx-resources/lcov.info
ngx-resources.sonar.testExecutionReportPaths=./coverage/ngx-resources/ut_report.xml

ngx-testing-tools.sonar.projectBaseDir=.
ngx-testing-tools.sonar.sources=./libs/ngx-testing-tools/src
ngx-testing-tools.sonar.exclusions=**/*.spec.ts
ngx-testing-tools.sonar.tests=./libs/ngx-testing-tools/src
ngx-testing-tools.sonar.test.inclusions=**/*.spec.ts
ngx-testing-tools.sonar.typescript.tsconfigPath=./libs/ngx-testing-tools/tsconfig.json
ngx-testing-tools.sonar.javascript.lcov.reportPaths=./coverage/ngx-testing-tools/lcov.info
ngx-testing-tools.sonar.testExecutionReportPaths=./coverage/ngx-testing-tools/ut_report.xml
